Modul 5 · 5.2
Izvoz koledarja in stikov iz Googla in Microsofta
Modul 5: Koledar in stiki · Čas branja: 12 minut
Učni cilj: Po tej lekciji boste znali izdelati popoln in uporaben izvoz koledarjev in stikov iz Googla in Microsofta, prebrati ICS- in vCard-datoteko, in vedeli boste, kaj pri izvozu ne gre zraven ali gre drugače.
Ključni pojmi: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE in TZID, ORGANIZER in ATTENDEE, VALARM, vCard (VCF) 3.0 in 4.0, csv, Google Takeout, orodje za selitev
Dva formata datotek, ki ju pozna skoraj vsak
Koledarje in stike selite z dvema odprtima formatoma:
- iCalendar, datoteke s pripono
.ics(RFC 5545), za koledarje in opravila. - vCard, datoteke s pripono
.vcf, za stike. Obstajata dve različici, na kateri boste naleteli: 3.0 (RFC 2426) in 4.0 (RFC 6350).
Gre za navadne besedilne datoteke. Lahko jih odprete v urejevalniku besedil, in prav to boste storili v tej lekciji. Kdor ve, kaj je v njih, vidi tudi, kaj manjka.
Pogosto obstaja lažja pot od izvoza: veliko novih storitev ima orodje za selitev, ki z Vašim dovoljenjem neposredno pri Googlu ali Microsoftu pridobi Vaše koledarje in stike. To gre hitreje in z manj napakami. Kljub temu je lasten izvoz priporočljiv: kot kontrola (koliko sestankov in stikov sem imel), kot varnostna kopija pred odpovedjo stare storitve, in kot izhod v sili, če orodja za selitev Vaš administrator ne dovoli.
Tako je videti datoteka koledarja
Izvoz koledarja Bakkerij De Korrel se začne takole:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARKaj vidite:
| Vrstica | Pomen | Kje lahko gre narobe |
|---|---|---|
BEGIN:VCALENDAR in VERSION:2.0 | to je datoteka iCalendar | če manjka, uvoz zavrne datoteko |
BEGIN:VEVENT ... END:VEVENT | en sestanek | manjkajoč END naredi preostanek neberljiv |
UID | stalna oznaka sestanka | brez UID strežnik ne more prepoznati podvojenih vnosov |
DTSTART;TZID=... | začetni čas v časovnem pasu | glejte časovne pasove spodaj |
RRULE | pravilo ponavljanja: vsak torek | neveljavno pravilo da en sam sestanek namesto niza |
EXDATE | izjema: ta torek ne | |
ORGANIZER, ATTENDEE | kdo je povabil in kdo je povabljen | glejte povabila spodaj |
VALARM | opomnik, 30 minut vnaprej | ne prevzame vsaka storitev opomnikov |
Časovni pasovi
Čas z TZID=Europe/Amsterdam pomeni: 6 zjutraj v Amsterdamu, tudi po prehodu na poletni čas. Datoteka mora zato vsebovati blok VTIMEZONE, ki ta časovni pas opisuje. Izvozi iz Outlooka pogosto uporabljajo imena Windows, kot je W. Europe Standard Time. To deluje pravilno, dokler je blok VTIMEZONE priložen. Če manjka, nova storitev ugiba, in sestanki so videti premaknjeni za eno uro. Čas, ki se konča na Z (20261110T050000Z), je v UTC in vedno nedvoumen. Čas brez časovnega pasu in brez Z se imenuje "plavajoči" čas: velja v časovnem pasu tistega, ki si ga ogleduje.
Celodnevni sestanki so navedeni kot datum brez časa: DTSTART;VALUE=DATE:20261224.
Povabila
Sestanek, ki ste ga organizirali Vi, je v datoteki naveden z Vami kot ORGANIZER. Po uvozu je v Vašem novem koledarju, vendar imajo udeleženci v svojem koledarju še vedno povabilo z Vašega starega naslova, z UID stare storitve. Če sestanek pozneje spremenite, prejmejo novo povabilo. Pri ponavljajočih se sestankih z zunanjimi udeleženci je lahko bolj urejeno, da jih po selitvi znova povabite. Sestanki, na katere ste bili povabljeni Vi, se prenesejo kot navaden sestanek; odgovori organizatorju potekajo prek e-pošte.
Izvoz iz Googla
- Koledar: v Google Koledarju, pri Nastavitve, razdelek Uvoz in izvoz, gumb Izvozi. Dobite zip-datoteko z ics-datoteko za vsak koledar, katerega lastnik ste. Koledarji, ki jih z Vami delijo drugi, niso vključeni; te izvozi lastnik, ali pa jih izvozite posamično iz nastavitev tistega koledarja, če je to dovoljeno.
- Stiki: v Google Stikih izberete stike (ali vse), nato izberete Izvozi in format vCard. Google ponuja tudi "Google CSV" in "Outlook CSV"; izberite vCard, saj ta ohrani strukturo (več telefonskih številk, naslovov, fotografijo).
- Vse naenkrat: Google Takeout (takeout.google.com) zagotovi koledar kot ics, stike kot vcf (ali csv) in Gmail kot mbox, v zip-datotekah. Priročno kot varnostna kopija celotnega računa.
Imena menijev se občasno spremenijo; ob dvomu poiščite v pomoči Googla "izvoz koledarja".
Izvoz iz Microsofta
- Koledar: v klasičnem Outlooku za Windows lahko koledar shranite kot datoteko iCalendar (Shrani kot, z izbiro obdobja in "popolnih podrobnosti"). Izberite obdobje, ki sega dovolj daleč nazaj in naprej, ter izberite popolne podrobnosti, sicer izvozite samo podatke prosto/zasedeno. V Outlooku v spletu lahko koledar objavite kot povezavo ICS in datoteko prek te povezave prenesete; objavo nato znova izklopite.
- Stiki: Outlook v spletu izvozi stike kot csv, ne kot vCard. Klasični Outlook pri množičnem izvozu prav tako izvozi v csv; vCard je mogoč samo za posamezen stik. Datoteke csv veliko storitev CardDAV ne zna neposredno uvoziti. Dve rešitvi: uporabite orodje za selitev nove storitve (ki stike pridobi neposredno), ali uvozite csv v adresar programa Thunderbird in ga od tam izvozite kot vCard.
- Skupni koledarji in koledarji prostorov so koledarji organizacije. Te izvozi administrator, ali pa jih znova vzpostavite v novi storitvi.
Kaj pri izvozu ne gre zraven ali gre drugače
| Element | Kaj se zgodi |
|---|---|
| Priloge k sestankom | večinoma ne gredo zraven; le povezava, ali nič |
| Barve in kategorije | včasih kot CATEGORIES, pogosto ne |
| Opomniki | včasih, odvisno od storitve |
| Povezave za video sestanke (Teams, Meet) | ostanejo kot besedilo v sestanku, vendar po odpovedi ne delujejo več |
| Skupine ali oznake stikov | ne vedno; preverite po uvozu |
| Fotografije stikov | gredo zraven v vCard, vendar povečajo velikost datoteke |
Preštejte, preden nadaljujete
Pred izvozom zapišite, koliko stikov imate in, za nekaj koledarjev, koliko sestankov je v določenem obdobju (na primer novembra). Po uvozu ponovno preštejte. To je najhitrejši način, da opazite, če kaj manjka. Pri nalogi te lekcije boste program uporabili, da prešteje in preveri Vaše datoteke.
V praksi: tako je videti pri ponudniku
V Nextcloudu podjetja WebOké obstajata dve orodji za selitev, ki podatke pridobita neposredno: WebOké Import Tool za Google (Drive, Fotografije, Koledar in Stiki) ter Gegevensmigratie za OneDrive in Microsoft 365, s katerim uvozite tudi stike in koledarje iz Vašega Microsoftovega računa. Če Vaš koledar prihaja od drugod, ics- in vCard-datoteke uvozite sami (lekcija 5.3). Nextcloud bere vCard 3.0 in 4.0. Pri drugih evropskih storitvah obstajajo podobna orodja za uvoz ali gumb za uvoz v koledarju in adresarju; formati datotek so povsod enaki.
Povzetek
- Koledarje selite kot ics (iCalendar), stike kot vcf (vCard 3.0 ali 4.0); gre za berljive besedilne datoteke.
- Orodje za selitev, ki podatke pridobi neposredno, je pogosto lažje, vendar naredite tudi lasten izvoz kot kontrolo in varnostno kopijo.
- V datoteki ics bodite pozorni na UID, RRULE, in časovne pasove z blokom VTIMEZONE; brez tega se sestanki premaknejo.
- Outlook v spletu stike izvozi le kot csv; uporabite orodje za selitev ali csv pretvorite v vCard.
- Vnaprej preštejte stike in sestanke, da po uvozu lahko preverite, ali kaj manjka.
Kviz
Naloga
Naloga A5.2: Preverjanje Vašega testnega izvoza. Izvozite koledar (ics) in svoje stike (vcf). Najprej vnesite, koliko stikov imate in koliko sestankov pričakujete. Nato naložite datoteke. Program preveri, ali so veljavne, prešteje sestanke, ponavljanja in stike, poišče časovne pasove brez opisa in podvojene stike, ter primerja z Vašimi vnesenimi številkami. Datoteke so samo prebrane in se ne shranjujejo.
Naloga E5.2: Kaj se ne prenese? Odprite svojo datoteko ics v urejevalniku besedil. Poiščite ponavljajoč se sestanek, sestanek z udeleženci in sestanek s povezavo za video sestanek. Za vsak sestanek zapišite, kaj morate storiti po selitvi.
Naloga E5.2: Kaj se ne prenese?
Odprite svojo ics-datoteko v urejevalniku besedil.
Vaše kljukice in zapiski ostanejo samo v tem brskalniku, nikamor jih ne pošiljamo. Če ste prijavljeni, v Moji tečaji shranimo samo podatek, da ste nalogo opravili.
Za nadaljnje branje
Koraki v teh člankih veljajo za storitve WebOké; pri drugih ponudnikih deluje podobno.
- Priročnik za Nextcloud 13.5: Koledar in stike prenesti iz storitev Google, iCloud ali Outlook (ics in vCard)
- Priročnik za Nextcloud 13.2: Preselitev Google Drive, Fotografij, Koledarja in Stikov z orodjem WebOké Import Tool
- Priročnik za Nextcloud 13.4: Prenos OneDrive z orodjem Migracija podatkov
- Priročnik za Nextcloud 13.6: Iz Microsoft 365 v WebOké: datoteke, dokumenti, e-pošta in koledar
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Pomoč Google Koledarja: Izvoz dogodkov; Pomoč Google Stikov: Izvoz stikov; Podpora Microsoft: Izvoz stikov iz Outlooka
